/**
 * MakeCode handling that does not depend on React.
 */
import { BlockLayout, Project } from './pxt.js';
export interface MakeCodeRenderBlocksOptions {
    disabled?: boolean;
    version?: string;
    lang?: string;
}
export interface MakeCodeRenderBlocksReturn {
    renderBlocks: (req: RenderBlocksRequest) => Promise<RenderBlocksResponse>;
    initialize: () => void;
    dispose: () => void;
}
export interface RenderBlocksRequest {
    code: string | Project;
    options?: {
        packageId?: string;
        package?: string;
        snippetMode?: boolean;
        layout?: BlockLayout;
    };
}
export interface RenderBlocksResponse {
    uri?: string;
    css?: string;
    svg?: string;
    width?: number;
    height?: number;
}
declare const createMakeCodeRenderBlocks: (options: MakeCodeRenderBlocksOptions) => MakeCodeRenderBlocksReturn;
export default createMakeCodeRenderBlocks;
